/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.Collections;
import java.util.Map;

/**
 *
 * @author omozegieaziegbe
 */
@RestController
@RequestMapping("/api")
public class SessionInfoController {

    @GetMapping("/session-info")
    public Map<String, Object> getSessionInfo() {

        Map<String, Object> sessionInfo = Map.of(
                "activeSession", true,
                "token", "abc123",
                "details", Collections.singletonList(
                        Map.of(
                                "accountType", 2,
                                "accountDescription", "Premium",
                                "username", "mr_fish",
                                "clientId", 42
                        )
                )
        );

        return sessionInfo;
    }
}
